FUN(1)

NAME
fun - compiler for the Ursala programming language

SYNOPSIS
fun [file[.fun|.avm] | --option]*

DESCRIPTION
fun is the name of the compiler for a programming language called Ursala. The compiler takes a high level description of a program and converts it into a shell script containing code executable by Avram, the virtual machine emulator, which is documented separately.

USAGE
For complete documentation, refer to the reference manual packaged with the Ursala distribution. It is available on the Ursala home page at http://www.basis.uklinux.net/ursala. For brief reminders about usage, invoke the compiler as
fun --help [topic]
with an optional topic of options
directives
types
pointers
suffixes
prefix
postfix
infix
solo
libraries
outfix

SEE ALSO
avram(1),

AUTHOR
Dennis Furey <ursala-support@basis.uklinux.net>.